## org.apache.poi.ss.formula.ptg
Class FuncPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperationPtg
              org.apache.poi.ss.formula.ptg.AbstractFunctionPtg
                  org.apache.poi.ss.formula.ptg.FuncPtg

    public final class FuncPtg

extends AbstractFunctionPtg

Author:
  aviks, Jason Height (jheight at chariot dot net dot au), Danny Mui (dmui at apache dot org) (Leftover handling)

Field Summary
`static byte` `sid`
`static int` `SIZE`

Fields inherited from class org.apache.poi.ss.formula.ptg.AbstractFunctionPtg
`FUNCTION_NAME_IF`

Fields inherited from class org.apache.poi.ss.formula.ptg.OperationPtg
`TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Method Summary
`static FuncPtg` `create(int functionIndex)`
`static FuncPtg` `create(LittleEndianInput in)`
`int` `getSize()`
`void` `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.formula.ptg.AbstractFunctionPtg
`getDefaultOperandClass, getFunctionIndex, getName, getNumberOfOperands, getParameterClass, isBaseToken, isBuiltInFunctionName, isExternalFunction, lookupIndex, lookupName, toFormulaString, toFormulaString, toString`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

Method Detail

### create

    public static FuncPtg create(LittleEndianInput in)

### create

    public static FuncPtg create(int functionIndex)

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `AbstractFunctionPtg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.